code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#!/bin/bash
USERNAME=$MIDWAY_USERNAME
if [[ -z $USERNAME ]]
then
echo "Remote username not provided. Skipping sites configs"
else
ls *xml
cat sites.xml | sed "s/{env.USER}/$USERNAME/" > tmp && mv tmp sites.xml
fi
case $STRESS in
"S1")
FILES=10
;;
"S2")
FILES=1000
;;... | swift-lang/swift-k | tests/stress/apps/modis_midway/modis.setup.sh | Shell | apache-2.0 | 840 |
# create a set of new containers
# $1 no. containers
# $2 image name
# $3 hostname and container name prefix
# $4 sleep between container startup
#!/bin/bash
for (( i = 0; i < $1; i++ )); do
docker run -d --hostname=$3$i --name=$3$i $2
sleep $4
done
| bigfix/bfdocker | besclient/Common/start.sh | Shell | apache-2.0 | 252 |
#!/bin/sh
# Make a new OS X Terminal tab with the current working directory.
if [ $# -ne 1 ]; then
PATHDIR=`pwd`
else
PATHDIR=$1
fi
/usr/bin/osascript <<EOF
activate application "Terminal"
tell application "System Events"
keystroke "t" using {command down}
end tell
tell application "Terminal"
repeat ... | frangucc/getup | run_ionic.sh | Shell | apache-2.0 | 573 |
#!/bin/sh
set -x
grep "how are you" < hw.txt || exit 1
exit 0
| swift-lang/swift-k | tests/local/array_wildcard.check.sh | Shell | apache-2.0 | 65 |
# Copyright 2017 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, ... | GoogleCloudPlatform/training-data-analyst | courses/developingapps/nodejs/containerengine/end/prepare_environment.sh | Shell | apache-2.0 | 2,345 |
#!/bin/bash
set -e
cd $(dirname $0)
export DOCKER_IMAGE=rancher-os-build
source ./scripts/version
./scripts/ci
mkdir -p dist
docker run --rm -it -e CHOWN_ID=$(id -u) -v $(pwd)/dist:/source/target $DOCKER_IMAGE
# Stupidest argparse ever
if echo "$@" | grep -q -- '--images'; then
./scripts/build-extra-images
fi
... | arnononline/os | build.sh | Shell | apache-2.0 | 448 |
#!/bin/bash
#
# This script cleans up a set of files given as arguments for release in the SDK
# Note that these files are modified in-place.
#
DIR=$1
#
# Remove BEGIN_INCLUDE and END_INCLUDE lines used by the javadoc.
#
# This does it by replacing these lines with blank lines so line numbers aren't
# changed in the ... | indashnet/InDashNet.Open.UN2000 | android/development/build/tools/sdk_clean.sh | Shell | apache-2.0 | 1,302 |
#!/bin/sh
export EWD_DIR='/home/ewder/ewd-instance'
# export gtm_dist=/usr/lib/fis-gtm/V6.0-000_x86_64
export gtm_dist=/usr/lib/fis-gtm/V5.5-000_x86_64
export gtmprofilefile=$gtm_dist/gtmprofile
source $gtmprofilefile
export gtmgbldir=$EWD_DIR/g/database
export gtmroutines="$EWD_DIR/o($EWD_DIR/r) $gtm_dist/libgtmutil.s... | amirhomayoun/MyRepo | Sandbox/M-CM/GrowthCharts/Configuration/setupEnvironmentVariables.sh | Shell | apache-2.0 | 526 |
#!/bin/bash
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License");... | stackdio-formulas/cdh5-formula | cdh5/etc/oozie/conf/oozie-env.sh | Shell | apache-2.0 | 2,504 |
#!/bin/sh
set -e
BASEDIR=`dirname $0`
python -c 'import greenify; import gevent;'
python $BASEDIR/slow_memcached_server.py &
pid=$!
echo "pid of slow memcached server: $pid"
if [ `uname` = 'Linux' ]; then
echo
echo "=== test gevent support ==="
echo
python $BASEDIR/gevent_issue.py
else
echo
e... | douban/libmc | tests/shabby/run_test.sh | Shell | bsd-3-clause | 745 |
#!/bin/bash
# Loop through all collections repos and check whether they include all
# packages that are expected
[ -d ./PackageLists ] && rootdir=./
[ -d ../PackageLists ] && rootdir=../
[ -z "$rootdir" ] && echo "Could not find root directory" && exit 1
source $rootdir/common/functions.sh
if [ $# -lt 1 ] ; then
... | khardix/sclo-ci-tests | run-all-repo-tests.sh | Shell | bsd-3-clause | 715 |
#!/bin/bash
TISSUES=(
"Adipose_Subcutaneous"
"Adipose_Visceral_Omentum"
"Adrenal_Gland"
"Artery_Aorta"
"Artery_Coronary"
"Artery_Tibial"
"Brain_Amygdala"
"Brain_Anterior_cingulate_cortex_BA24"
"Brain_Caudate_basal_ganglia"
"Brain_Cerebellar_Hemisphere"
"Brain_Cerebellum"
"Brain_Cortex"
"Brain... | hail-is/hail | datasets/extract/extract.GTEx_v7_eQTL.sh | Shell | mit | 3,438 |
#!/bin/sh
#
# Test Case 7
#
# Runs continuous offline/online of CPUs along with
# a kernel compilation load.
export TCID="cpuhotplug07"
export TST_TOTAL=1
# Includes:
. test.sh
. cpuhotplug_testsuite.sh
. cpuhotplug_hotplug.sh
cat <<EOF
Name: $TCID
Date: `date`
Desc: What happens when hotplugging during a heav... | heluxie/LTP | testcases/kernel/hotplug/cpu_hotplug/functional/cpuhotplug07.sh | Shell | gpl-2.0 | 2,440 |
#!/bin/sh
#
# Copyright (C) 2004, 2007, 2012 Internet Systems Consortium, Inc. ("ISC")
#
# Permission to use, copy, modify, and/or distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWA... | phra/802_21 | myODTONE/app/dhcp_usr/libs/bind/bind-9.8.4-P1/bin/tests/system/checknames/clean.sh | Shell | gpl-2.0 | 994 |
#!/bin/sh
. "${TEST_SCRIPTS_DIR}/unit.sh"
define_test "3 multipath devices configure to check, all up"
setup "mpatha" "mpathb" "mpathc"
ok_null
simple_test
| sathieu/samba | ctdb/tests/eventscripts/20.multipathd.monitor.002.sh | Shell | gpl-3.0 | 163 |
#!/bin/bash
set -u
set -e
function die {
echo -e "ERROR: $*:">&2
# will exit the script since the error flag is set
exit 1
}
if [ $# != 1 ]
then
die "Usage: $0 <subject_folder> \n Input the subject folder name."
fi
SUBJECT_FOLDER=$1
QSUB_FILE=".science.out.*"
echo "#################################... | big-data-lab-team/Dockerfiles | PreFreeSurfer-DockerFiles/checksums.sh | Shell | gpl-3.0 | 757 |
#!/bin/bash
set -euo pipefail
if test $# -gt 0; then
echo "$0 does not accept arguments" >&2
exit 32
fi
set -x
tar xf /docker/presto-server.tar.gz -C /docker
if test -d /docker/presto-init.d; then
for init_script in /docker/presto-init.d/*; do
"${init_script}"
done
fi
export JAVA_HOME="/us... | hgschmie/presto | presto-product-tests-launcher/src/main/resources/docker/presto-product-tests/run-presto.sh | Shell | apache-2.0 | 545 |
#!/bin/bash
set -e
unset "DAEMON_OPTS[${#DAEMON_OPTS[@]}-1]" # remove the last element of the array
OSD_PATH="/var/lib/ceph/osd/${CLUSTER}-0"
MDS_PATH="/var/lib/ceph/mds/${CLUSTER}-0"
RGW_PATH="/var/lib/ceph/radosgw/$RGW_NAME"
MGR_PATH="/var/lib/ceph/mgr/${CLUSTER}-$MGR_NAME"
RESTAPI_IP=$MON_IP
MGR_IP=$MON_IP
######... | rootfs/ceph-docker | ceph-releases/luminous/ubuntu/16.04/daemon/demo.sh | Shell | apache-2.0 | 5,070 |
#!/bin/bash
set -e
set -u
bosh -n target ${BOSH_TARGET}
bosh -n login "${BOSH_USERNAME}" "${BOSH_PASSWORD}"
for RELEASE_FILE in $RELEASE_PATH ; do
bosh -n upload release --skip-if-exists "${RELEASE_FILE}"
done
cd repo
bosh -d "${DEPLOYMENT_PATH}" -n deploy
| pivotalservices/logsearch-boshrelease | ci/tasks/repo-deploy/run.sh | Shell | apache-2.0 | 264 |
#!/bin/bash
current=$(date +%Y-%m-%d -d -1day)
echo "${current}: jobs starting ... "
cd $HADOOP_HOME
echo "start copying file from local to hdfs ..."
bin/hdfs dfs -copyFromLocal /data/app_tmp/vdnlogs/input/* /user/cloudland/vdnlogs/input/
echo "starting parser file ..."
bin/hadoop jar /home/cloudland/app_jobs/myjo... | sdgdsffdsfff/cloud-doc | app_jobs/myjobs-136/vdnlog_thinker.sh | Shell | apache-2.0 | 565 |
#!/bin/bash -u
set -e
#
# Copyright (c) 2012 Tresys Technology LLC, Columbia, Maryland, USA
#
# This software was developed by Tresys Technology LLC
# with U.S. Government sponsorship.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# Lice... | quark-pat/CLIP | packages/aqueduct/aqueduct/compliance/Bash/SSG/dev/user_owner_grub_conf.sh | Shell | apache-2.0 | 920 |
currenttime=$(date +%s)
curl -X POST -H "Content-type: application/json" \
-d "{ \"series\" :
[{\"metric\":\"test.metric\",
\"points\":[[$currenttime, 20]],
\"type\":\"gauge\",
\"host\":\"test.example.com\",
\"tags\":[\"environment:test\"]}
]
}" \
'https://... | jhotta/documentation | code_snippets/api-metrics-post.sh | Shell | bsd-3-clause | 394 |
#!/bin/bash
hxcpp_debug=
mode=release
arg=$2
if [ "$2" == "debug" ]; then
hxcpp_debug=-Ddebug
mode=debug
arg=
fi
if [ "$2" == "release" ]; then arg=; fi
platforms/$1/build.sh $hxcpp_debug && ./run-$1.sh $mode $arg $3 $4 $5 $6 $7 $8 $9
| Amadren/hx-gameplay | haxelib/templates/Project/exec.sh | Shell | mit | 250 |
#!/bin/bash
apt-get -y update
apt-get -u upgrade
apt-get install -y libjpeg-dev python-dev python-setuptools supervisor ruby-sass python-geoip libmysqlclient-dev git
easy_install pip
pip install uwsgi
cd /opt
git clone https://github.com/codeeu/coding-events.git
cd coding-events
git checkout "{{check-tag}}"
pip in... | joseihf/coding-events | docker/_install.sh | Shell | mit | 1,127 |
#! /bin/sh -e
# tup - A file-based build system
#
# Copyright (C) 2009-2015 Mike Shal <marfey@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# This program is distribu... | p2rkw/tup | test/t2009-tup-cwd.sh | Shell | gpl-2.0 | 1,260 |
#!/bin/sh
#
# Copyright (c) 2012 Felipe Contreras
#
test_description='test bash completion'
. ./lib-bash.sh
complete ()
{
# do nothing
return 0
}
# Be careful when updating this list:
#
# (1) The build tree may have build artifact from different branch, or
# the user's $PATH may have a random executable that ... | Devindik/origin | t/t9902-completion.sh | Shell | gpl-2.0 | 8,000 |
# Functions re-used by scripts in acs-lang/bin
#
# @author Peter Marklund
# Assumes script_path to be set
get_catalog_keys() {
file_name=$1
echo $(${script_path}/mygrep '<msg key="([^"]+)"' $file_name)
}
find_en_us_files() {
echo $(find ${script_path}/../../ -regex '.*/catalog/.*en_US.*\.xml' -maxdepth 3)... | jwlynch/openacs.core | packages/acs-lang/bin/functions.sh | Shell | gpl-2.0 | 323 |
#!/bin/bash
set -e -u -x
OMIM_PATH="$(dirname "$0")/../.."
TWINE="$OMIM_PATH/tools/twine/twine"
STRINGS_PATH="$OMIM_PATH/data/strings"
MERGED_FILE="$(mktemp)"
cat "$STRINGS_PATH"/{strings,partners_strings,types_strings,brands_strings}.txt> "$MERGED_FILE"
# TODO: Add "--untagged --tags android" when tags are properly... | rokuz/omim | tools/unix/generate_localizations.sh | Shell | apache-2.0 | 1,492 |
#!/bin/bash
mkdir -p data/shared/db/
srun -p vision --nodelist=flapjack1 --mem=320000 --time=0 --output=data/shared/db/job.log ./scripts/start_mongo.sh &
| sergeyk/vislab | scripts/start_mongo_cluster.sh | Shell | bsd-2-clause | 154 |
#!/usr/bin/env bash
# Tests redi from an EGG installation within a virtualenv sandbox
VIRTUALENV_NAME=venv
# Path of the directory containing this script
DIRNAME="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
REDI_ROOT="$( cd $DIRNAME/.. && pwd)"
VIRTUALENV_DIR=$REDI_ROOT/$VIRTUALENV_NAME
# Check to see if vir... | KevinHanson/redi | scripts/egg-test.bash | Shell | bsd-3-clause | 918 |
#!/bin/bash
FN="pd.ht.hg.u133a_3.12.0.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.9/data/annotation/src/contrib/pd.ht.hg.u133a_3.12.0.tar.gz"
"https://bioarchive.galaxyproject.org/pd.ht.hg.u133a_3.12.0.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-pd.ht.hg.u133a/bioconductor-pd.ht.hg.u133... | jfallmann/bioconda-recipes | recipes/bioconductor-pd.ht.hg.u133a/post-link.sh | Shell | mit | 1,444 |
#!/bin/bash
cd `dirname $0`
. comm.sh
CMD=(start stop restart status)
function usage() {
echo "usage: ${0##*/} start|stop|restart|status"
echo $1
}
function start() {
mkdir -p /tmp/log/yogrt-backend-server/$SERVER_NAME/log
ln -sf /tmp/log/yogrt-backend-server/$SERVER_NAME/log
ulimit -c unlimited
./$SERVER_NA... | jiabinruan/gowithcool | my_server/build/server.sh | Shell | mit | 679 |
#!/bin/bash
FN="hgu133afrmavecs_1.5.0.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.13/data/annotation/src/contrib/hgu133afrmavecs_1.5.0.tar.gz"
"https://bioarchive.galaxyproject.org/hgu133afrmavecs_1.5.0.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-hgu133afrmavecs/bioconductor-hgu133afrma... | phac-nml/bioconda-recipes | recipes/bioconductor-hgu133afrmavecs/post-link.sh | Shell | mit | 1,447 |
#!/bin/sh
DATA_DIR=~/src/audio-research/
OUT_DIR=~/src/icassp2013/bpm/
./check-ibt.py ${DATA_DIR} ${OUT_DIR}/ibt/ > ibt.txt
./check-ibt-off-auto.py ${DATA_DIR} ${OUT_DIR}/ibt-off-auto/ > ibt-off-auto.txt
./check-ibt-off-regular.py ${DATA_DIR} ${OUT_DIR}/ibt-off-reg/ > ibt-off-reg.txt
./check-marsyas-tempo.py ${DATA_DI... | eriser/marsyas | scripts/large-evaluators/evaluate.sh | Shell | gpl-2.0 | 571 |
#!/bin/bash
export GIT_COMMIT_MESSAGE=$(git show -s --format=%B $GIT_COMMIT)
echo GIT_COMMIT_MESSAGE=$(echo $GIT_COMMIT_MESSAGE) > $WORKSPACE/env.properties
export JIRA_ISSUE_UPDATER_DEBUG=TRUE
echo JIRA_ISSUE_UPDATER_DEBUG=$(echo $JIRA_ISSUE_UPDATER_DEBUG) >> $WORKSPACE/env.properties
export JIRA_ISSUE_ID=$(echo $GI... | ninp0/csi | etc/userland/vmware/jenkins/inject_build_envs.sh | Shell | mit | 697 |
#!/bin/sh
#
# Convert CR/LF line endings to LF line endings, preserving timestamps and
# permissions on the file.
#
with_unix_tools() {
for file in "$@"
do
echo "$file"
tmpfile=`dirname "$file"`/__dtou_tmp.$RANDOM || exit 1
trap 'rm -f "$tmpfile"' 1 2 3 13 15
# We go through a slightly ... | ArmageddonGames/ZeldaClassic | allegro/misc/dtou.sh | Shell | gpl-3.0 | 910 |
#!/bin/bash
set -e
if [[ `uname` == "Darwin" ]]
then
function md5sum {
md5
}
fi
# Tell build_and_install_deps.sh to build sequentially when performance debugging.
# export BUILD_CONCURRENCY=0
# Hash environment variables we care about to force rebuilds when they change.
ENV_HASH=$(echo "${CC} ${CXX} ${LD_LI... | rlazarus/envoy | bazel/repositories.sh | Shell | apache-2.0 | 1,287 |
#!/bin/bash
#--- manage_deamon stardard
export HADOOP_LOG_DIR=${HDFS_LOG_DIR}
export HADOOP_PID_DIR=${HDFS_PID_DIR}
python /tmp/zk_wait.py namenode
su ${HDFS_USER} -c "${HADOOP_HOME}/bin/hdfs --config ${HADOOP_CONF_DIR} namenode -format"
# we should actually check that the namenode is up ...
python /tmp/zk_set.py n... | crs4/pydoop | dev_tools/docker/clusters/apache_2.6.0/images/zookeeper/scripts/start_namenode.sh | Shell | apache-2.0 | 416 |
#!/bin/bash
#
# Copyright 2016 The Bazel Authors. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by... | anupcshan/bazel | src/test/shell/integration/ui_test.sh | Shell | apache-2.0 | 2,399 |
#!/bin/bash
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); y... | lhaiesp/samza | samza-tools/scripts/system-producer-bench.sh | Shell | apache-2.0 | 1,189 |
#!/bin/sh
#
# american fuzzy lop - QEMU build script
# --------------------------------------
#
# Written by Andrew Griffiths <agriffiths@google.com> and
# Michal Zalewski <lcamtuf@google.com>
#
# Copyright 2015, 2016 Google Inc. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "L... | danakj/chromium | third_party/afl/src/qemu_mode/build_qemu_support.sh | Shell | bsd-3-clause | 4,580 |
#!/bin/bash
mkdir -p "$PREFIX/bin"
if [ "$(uname)" == "Darwin" ]; then
cp paraTestJob "$PREFIX/bin"
else
export MACHTYPE=x86_64
export BINDIR=$(pwd)/bin
mkdir -p "$BINDIR"
(cd kent/src/lib && make)
(cd kent/src/htslib && make)
(cd kent/src/jkOwnLib && make)
(cd kent/src/hg/lib && make)
... | gvlproject/bioconda-recipes | recipes/ucsc-paratestjob/build.sh | Shell | mit | 445 |
#!/bin/sh
#
# Copyright (c) 2007 Lars Hjemli
#
test_description='Basic porcelain support for submodules
This test tries to verify basic sanity of the init, update and status
subcommands of git submodule.
'
. ./test-lib.sh
test_expect_success 'setup - initial commit' '
>t &&
git add t &&
git commit -m "initial co... | qsnake/git | t/t7400-submodule-basic.sh | Shell | gpl-2.0 | 10,786 |
# Syntax Highlighting Test File for Bash
# Comment Line
# Test Assignment
BLUE="[34;01m"
CYAN="[36;01m"
GREEN="[32;01m"
RED="[31;01m"
YELLOW="[33;01m"
OFF="[0m"
echo "${YELLOW}**${OFF} Hello World in Yellow ${YELLOW}**${OFF}"
sleep 2
# Test Scalar
HELLO=$(Hello)
HELLO2=${Hello}
HELLO3=`Hello`
# Test Loop/Cond... | garrettcap/Bulletproof-Backup | wx/tools/Editra/tests/syntax/bash_shell_script.sh | Shell | gpl-2.0 | 571 |
#!/bin/bash
# Copyright 2015 gRPC authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed t... | jboeuf/grpc | tools/run_tests/helper_scripts/pre_build_csharp.sh | Shell | apache-2.0 | 811 |
#!/bin/bash
# This library holds utility functions for building
# and placing Golang binaries for multiple arches.
# os::build::binaries_from_targets take a list of build targets and return the
# full go package to be built
function os::build::binaries_from_targets() {
local target
for target; do
if [[ -z "${... | crobby/oshinko-cli | vendor/github.com/openshift/origin/hack/lib/build/binaries.sh | Shell | apache-2.0 | 17,674 |
#!/bin/bash
# FBC_CFB_BASE 0x43200
../tools/intel_reg_read 0x43200
# FBC_CTL 0x43208
../tools/intel_reg_read 0x43208
# ERR_INT 0x44040
../tools/intel_reg_read 0x44040
# DE_RRMR 0x44050
../tools/intel_reg_read 0x44050
# ARB_CTL 0x45000
../tools/intel_reg_read 0x45000
# ARB_CTL2 0x45004
../tools/intel_reg_read 0x45004
#... | dlespiau/checkmate-test-igt | scripts/display_debug.sh | Shell | mit | 5,007 |
#!/usr/bin/env bash
#
# This script builds the application from source.
set -e
# Get the parent directory of where this script is.
SOURCE="${BASH_SOURCE[0]}"
while [ -h "$SOURCE" ] ; do SOURCE="$(readlink "$SOURCE")"; done
DIR="$( cd -P "$( dirname "$SOURCE" )/.." && pwd )"
# Change into that directory
cd "$DIR"
# G... | itnihao/consul | scripts/build.sh | Shell | mpl-2.0 | 1,338 |
#!/bin/bash
echo "Killing all java processes, get rid of running blueflood and cassandra."
killall java
sleep 10
echo "Clearing out data and commitlog directories"
rm -rf /var/cassdata/*
rm -rf /var/casssyscommitlog/*
echo "Starting cass..."
/opt/cassandra/bin/cassandra
sleep 15
echo "Loading schema..."
/opt/cassandra... | tilogaat/blueflood | contrib/perf/resetState.sh | Shell | apache-2.0 | 420 |
#!/bin/sh
# SUMMARY: Namespace stress with 10 concurrent short connections over a unix domain socket in reverse order
# LABELS:
# REPEAT:
set -e
# Source libraries. Uncomment if needed/defined
#. "${RT_LIB}"
. "${RT_PROJECT_ROOT}/_lib/lib.sh"
NAME=test-ns
clean_up() {
rm -rf ${NAME}-*
}
trap clean_up EXIT
moby... | davefreitag/linuxkit | test/cases/020_kernel/110_namespace/005_kernel-4.13.x/050_unix-domain/011_echo-short-10con-single-reverse/test.sh | Shell | apache-2.0 | 480 |
#!/bin/bash
# this file is mostly meant to be used by the author himself.
root=`pwd`
version=$1
home=~
force=$2
#--with-cc=gcc46 \
ngx-build $force $version \
--with-ld-opt="-L$PCRE_LIB -Wl,-rpath,$PCRE_LIB:$LIBDRIZZLE_LIB:$LUAJIT_LIB:/usr/local/lib" \
--without-mail_pop3_module \
--... | ober/pinky-server | vendor/projects/ngx_openresty-1.2.7.6/bundle/headers-more-nginx-module-0.19/util/build.sh | Shell | mit | 1,037 |
source_sh ${srcdir}/emulparams/elf_x86_64.sh
OUTPUT_FORMAT="elf64-x86-64-cloudabi"
| mattstock/binutils-bexkat1 | ld/emulparams/elf_x86_64_cloudabi.sh | Shell | gpl-2.0 | 83 |
#!/bin/sh
./stop.sh
cp rp_usbdisplay.ko /lib/modules/`uname -r`/
modprobe rp_usbdisplay
echo 1 > /sys/class/vtconsole/vtcon1/bind
| yukchou/linux-sunxi-1 | drivers/video/rpusbdisp/drivers/linux-driver/run.sh | Shell | gpl-2.0 | 130 |
#!/bin/sh
# Copyright 2015, Google Inc.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# * Redistributions of source code must retain the above copyright
# notice, this list of conditions... | xtopsoft/grpc | tools/buildgen/generate_build_additions.sh | Shell | bsd-3-clause | 1,809 |
#!/bin/sh
#
#
# This is a "library" of sorts for use by the other FRR shell scripts. It
# has most of the daemon start/stop logic, but expects the following shell
# functions/commands to be provided by the "calling" script:
#
# log_success_msg
# log_warning_msg
# log_failure_msg
#
# (coincidentally, these are LS... | morgenroth/openwrt-packages | net/frr/files/frrcommon.sh | Shell | gpl-2.0 | 7,257 |
#!/usr/bin/env bash
# Copyright 2015 The TensorFlow Authors. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless... | cg31/tensorflow | tensorflow/tools/ci_build/builds/android.sh | Shell | apache-2.0 | 2,592 |
#!/bin/bash
if [ -f .veewee_params ]
then
. .veewee_params
fi
/opt/ruby/bin/gem install chef --no-ri --no-rdoc
| courtney-miles/veewee | templates/ubuntu-11.04-server-amd64/chef.sh | Shell | mit | 115 |
#!/usr/bin/env zsh
# -------------------------------------------------------------------------------------------------
# Copyright (c) 2017 zsh-syntax-highlighting contributors
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without modification, are permitted
# provided that the f... | codeprimate/arid | zsh/zsh-syntax-highlighting/highlighters/main/test-data/brackets-mismatch8-if-positive.zsh | Shell | bsd-2-clause | 2,654 |
#!/bin/sh
./test-freadptr2${EXEEXT} 0 < "$srcdir/test-freadptr2.sh" || exit 1
./test-freadptr2${EXEEXT} 5 < "$srcdir/test-freadptr2.sh" || exit 1
exit 0
| ghmajx/asuswrt-merlin | release/src/router/coreutils-8.13/gnulib-tests/test-freadptr2.sh | Shell | gpl-2.0 | 154 |
#!/bin/sh
# plugin_final_layout.sh -- test
# Copyright (C) 2011-2014 Free Software Foundation, Inc.
# Written by Sriraman Tallam <tmsriram@google.com>.
# This file is part of gold.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as publis... | jlspyaozhongkai/Uter | third_party_backup/binutils-2.25/gold/testsuite/plugin_final_layout.sh | Shell | gpl-3.0 | 2,318 |
#!/bin/bash
pslxToFa 2> /dev/null || [[ "$?" == 255 ]]
| blankenberg/bioconda-recipes | recipes/ucsc-pslxtofa/run_test.sh | Shell | mit | 55 |
SCRIPT_NAME=tic30coff
OUTPUT_FORMAT="coff-tic30"
OUTPUT_ARCH="tms320c30"
TEXT_START_ADDR=0x0
TARGET_PAGE_SIZE=128
ARCH=tms320c30
BIG=1
| shaotuanchen/sunflower_exp | tools/source/binutils-2.16.1/ld/emulparams/tic30coff.sh | Shell | bsd-3-clause | 135 |
# Copyright (C) 2014 Internet Systems Consortium, Inc. ("ISC")
#
# Permission to use, copy, modify, and/or distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" A... | WigWagCo/node-isc-dhclient | deps/isc-dhcp/bind/bind-expanded-tar/bin/tests/system/emptyzones/clean.sh | Shell | isc | 793 |
#
# Copyright (c) 2011, 2012, Simon Howard
#
# Permission to use, copy, modify, and/or distribute this software
# for any purpose with or without fee is hereby granted, provided
# that the above copyright notice and this permission notice appear
# in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCL... | fragglet/lhasa | test/test_common.sh | Shell | isc | 4,419 |
#!/usr/bin/env bash
set -eo pipefail
if [[ $1 == "memcheck" ]]; then
memcheckcmd="valgrind --leak-check=full --show-reachable=yes --suppressions=data/misc/libpixman.supp --suppressions=data/misc/libpango.supp --error-exitcode=1"
fi
echo " AEGeAn::ParsEval"
tempfile="pe.temp"
$memcheckcmd \
bin/parseval --refrlab... | BrendelGroup/AEGeAn | test/AmelOGSvsNCBI.sh | Shell | isc | 2,529 |
sudo apt-get update
sudo curl -fsSL https://test.docker.com/ | sh
sudo usermod -aG docker vagrant
# registry
echo "192.168.77.110 registry.swarm.dev" >> /etc/hosts
export DOCKER_REPO=registry.swarm.dev:5000
mkdir -p /etc/docker/certs.d/$DOCKER_REPO
cp /vagrant/ca.crt /etc/docker/certs.d/$DOCKER_REPO/ca.crt
sudo mk... | leo-duran/swarmify | services.sh | Shell | mit | 1,072 |
GIT=https://gitlab.redox-os.org/redox-os/bootloader.git
function recipe_version {
echo "0.1.0"
skip=1
}
function recipe_update {
echo "skipping update"
skip=1
}
function recipe_build {
nasm -f bin -o bootloader -D "ARCH_${ARCH}" -i"${ARCH}/" "${ARCH}/disk.asm"
skip=1
}
function recipe_test {... | redox-os/cookbook | recipes/bootloader/recipe.sh | Shell | mit | 514 |
#!/bin/bash
# Copyright (c) Facebook, Inc. and its affiliates.
#
# This source code is licensed under the MIT license found in the
# LICENSE file in the root directory of this source tree.
assert_errors "$1" check . --all --no-flowlib --show-all-errors --include-warnings --show-all-branches
| samwgoldman/flow | tests/speculation_errors_all_branches/test.sh | Shell | mit | 293 |
#!/bin/bash
fs="xfs"
source ${src_root}/tests/test_common.sh
source ${src_root}/tests/fs_common.sh
source ${src_root}/tests/fsck.sh
imgname=$fs-depth.img
fs_scan_startup_img $fs $imgname
imgname=$fs-many.img
fs_scan_startup_img $fs $imgname
imgname=$fs-postmark.img
fs_scan_startup_img $fs $imgname
exit 0
imgname=`f... | chzchzchz/fsl | tests/tests_extra.xfs.sh | Shell | mit | 1,829 |
time chimera multi-calculate.chiml "x**2" "[-2,-1,0,1,2,3]"
| goFrendiAsgard/chimera-framework | example/distributed/multi-calculate.sh | Shell | mit | 60 |
#!/bin/sh
curl \
--remote-name \
https://raw.githubusercontent.com/vmware/pyvmomi/master/pyVmomi/ServerObjects.py
./gen_server_objects.py
| mmb/pyvmomi_to_ruby | gen_server_objects.sh | Shell | mit | 144 |
#!/bin/bash
if [ "$(id -u)" != "0" ]; then
echo "This script must be run as root" 1>&2
exit 1
fi
echo "Configuring puppet labs apt repo"
cat > /etc/apt/sources.list.d/puppetlabs.list << EOF
deb-src http://apt.puppetlabs.com wheezy main
deb-src http://apt.puppetlabs.com wheezy dependencies
deb http://apt.puppetla... | kireevco/luasense | setup/bootstrap.sh | Shell | mit | 932 |
#!/bin/bash
while read line
do
echo $line | cut -c 2-7
done | busebd12/GeneralHackerRankStuff | LinuxShell/Bash/Cut#3/Cut#3.sh | Shell | mit | 61 |
#!/bin/bash
# Download Species Tree from PhyloT Biobyte
echo "############### Download Species Tree from PhyloT Biobyte ###############"
PHYLOT_BIOBYTE="http://phylot.biobyte.de/treeGenerator.cgi"
PROTEIN_A=$1
PROTEIN_B=$2
RESULTSPPI=$3
# http://stackoverflow.com/questions/19116016/what-is-the-right-way-to-post-multipa... | maxdy/BioTools | TrEEProfiler/gst_pb.sh | Shell | mit | 1,281 |
nim --define:nimDebugDOpen --define:release --define:useRealtimeGC --define:boundChecks:off --out:build/example compile example/main | darkoverlordofdata/shmupwarz-nim | init.sh | Shell | mit | 132 |
#!/bin/bash
for f in "${FOLDER}"*; do
WIDTH=`exiftool -s -s -s -ImageWidth "$f"`
HEIGHT=`exiftool -s -s -s -ImageHeight "$f"`
echo $WIDTH $HEIGHT
if [ $WIDTH -lt $SIZE_MIN_WIDTH ] || [ $HEIGHT -lt $SIZE_MIN_HEIGHT ]; then
echo "Deleting $f"
rm "$f"
fi
done | AlexBezuska/archival | remove-small-images.sh | Shell | mit | 277 |
source $DOTFILES_DIR/go
test -d "${GOPATH}" || mkdir "${GOPATH}"
brew install go
go get golang.org/x/tools/cmd/godoc
go get github.com/golang/lint/golint
go get -u github.com/golang/dep/cmd/dep
| vakimov/dotfiles | install/mac/go.sh | Shell | mit | 200 |
build() {
local argAction="$1"
shift
local argPhase="$1"
if [ -z "${argAction:-}" -o -z "${argPhase:-}" ]; then
echo "error: args"
return 1
fi
if [ "$argAction" == only ]; then
local phases="$argPhase"
fi
if [ -z "${phases:-}" ]; then
phases="${prePhase... | nickspinale/dotfiles | config/bash/nix.bash | Shell | mit | 1,795 |
#!/bin/sh
# CYBERWATCH SAS - 2016
#
# Security fix for RHSA-2012:1135
#
# Security announcement date: 2012-08-01 20:04:58 UTC
# Script generation date: 2016-05-12 18:10:55 UTC
#
# Operating System: Red Hat 6
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - autocorr-af.noarch:3.4.5.2-16.1.el6_3
#... | Cyberwatch/cbw-security-fixes | Red_Hat_6/x86_64/2012/RHSA-2012:1135.sh | Shell | mit | 21,044 |
#!/bin/bash
if [ ! -z $1 ]
then
# got input
sed -i.bak 's|<elasticsearch.version>.*</elasticsearch.version>|<elasticsearch.version>'"${1}"'</elasticsearch.version>|g' pom.xml && rm pom.xml.bak
fi
PLUGIN_VERSION=`grep '<!-- plugin_version' pom.xml | sed 's|</b>|-|g' | sed 's|<[^>]*>||g' |xargs`
ES_VERSION=`... | maitai/elasticsearch-readonlyrest-plugin | build.sh | Shell | mit | 1,429 |
#!/bin/bash
python spom/simulator.py data/forest_cover_2000_13.csv com_D_i.csv --steps 500 -vv -s data/sten00.csv -od data/ -p i_e_comD_2000_s500_1_ --threads=8
python spom/simulator.py data/forest_cover_2000_13.csv com_D_i.csv --steps 500 -vv -s data/sten00.csv -od data/ -p i_e_comD_2000_s500_2_ --threads=8
... | rybicki/corridor-spom | active/esim_i_1.sh | Shell | mit | 3,055 |
#! /bin/bash
defaults write com.apple.finder AppleShowAllFiles TRUE
killall Finder
| worp1900/niftySnippets | console/bash/mac/showHiddenFilesInFinder.sh | Shell | mit | 83 |
#!/usr/bin/env bash
set -eEfuo pipefail
IFS=$'\n\t'
shopt -s inherit_errexit
(
set +f
shopt -s globstar nullglob
shellcheck -- certbot-ocsp-fetcher ./**/*.{ba,}sh
# We need to exclude SC2154 because of
# https://github.com/koalaman/shellcheck/issues/1823
shellcheck --exclude 2154 -- ./**/*.bats
)
shfmt... | tomwassenberg/certbot-ocsp-fetcher | hooks.bash | Shell | mit | 361 |
set -e
. ./vars-macos.sh
nix-env -f '<top>' -iA pkgs.env
update-dotfile-links
| nickspinale/dotfiles | setup/bootstrap-macos.sh | Shell | mit | 81 |
#!/usr/bin/env bash
# Copyright (c) 2013-2014 The Jgcoin Core developers
# Distributed under the MIT/X11 software license, see the accompanying
# file COPYING or http://www.opensource.org/licenses/mit-license.php.
# Test block generation and basic wallet sending
if [ $# -lt 1 ]; then
echo "Usage: $0 path_to_b... | cptecdfi/jgcoins | qa/rpc-tests/wallet.sh | Shell | mit | 2,882 |
#!/usr/bin/env bash
CURRENT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
# shellcheck source=scripts/helpers.sh
source "$CURRENT_DIR/helpers.sh"
ram_percentage_format="%3.1f%%"
sum_macos_vm_stats() {
grep -Eo '[0-9]+' |
awk '{ a += $1 * 4096 } END { print a }'
}
print_ram_percentage() {
ram_percenta... | tmux-plugins/tmux-cpu | scripts/ram_percentage.sh | Shell | mit | 1,280 |
#!/bin/bash
echo $(python pblite.py --name=../TestImages/1.jpg )
echo $(python pblite.py --name=../TestImages/2.jpg )
echo $(python pblite.py --name=../TestImages/3.jpg )
echo $(python pblite.py --name=../TestImages/4.jpg )
echo $(python pblite.py --name=../TestImages/5.jpg )
echo $(python pblite.py --name=../TestIma... | ncos/hometasks | CMSC733/amitrokh_hw0/Part2/Code/run_all.sh | Shell | mit | 545 |
if [ -z $1 ];then
exit 1
fi
if [ -z $2 ];then
exit 2
fi
if [ ! -f $1 ];then
exit 3
fi
srcFullFile=$1
desFullFile=$2
srcFilePath=$(sh ~/shell/bashell/DIR.sh $(dirname $srcFullFile))"/"
desFilePath=$(sh ~/shell/bashell/DIR.sh $(dirname $desFullFile))"/"
srcFileName=${srcFullFile##*/}
desFileName=${desFullFile##*/}
... | pangzhanbo/bashell | ln.sh | Shell | mit | 462 |
#!/bin/bash
#KISS YouTube video downloader
#<~~Harvie 2oo8
echo "Harvie's automatic YouTube downloader";
echo " Now go and watch something on YouTube...";
download_video() {
VIDFILE="$2"."flv";
DLURL="$1";
echo Downloading captured video to "$VIDFILE" ...;
if [[ -a "$VIDFILE" ]]; then
echo File "$VIDFILE" a... | pedrox86lopes/x86labs | youtubedown.sh | Shell | mit | 1,385 |
#!/bin/sh
python3 ../../../../../deps/flextGL/flextGLgen.py -T compatible -D . flextgl_profile.txt
| code-disaster/libgdx-snippets | src/main/native/jni/flextgl/flextgl.sh | Shell | mit | 100 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for USN-2887-1
#
# Security announcement date: 2016-02-01 00:00:00 UTC
# Script generation date: 2017-01-01 21:05:09 UTC
#
# Operating System: Ubuntu 14.04 LTS
# Architecture: i686
#
# Vulnerable packages fix on version:
# - linux-image-3.13.0-77-powerpc64-emb:3.... | Cyberwatch/cbw-security-fixes | Ubuntu_14.04_LTS/i686/2016/USN-2887-1.sh | Shell | mit | 2,123 |
function peco-tree-edit() {
local SELECTED_FILE=$(tree --charset=o -f | peco --query "$LBUFFER" | tr -d '\||`|-' | xargs echo)
if [ "$SELECTED_FILE" != "" ]; then
BUFFER="$EDITOR $SELECTED_FILE"
zle accept-line
fi
zle reset-prompt
}
zle -N peco-tree-edit
#bindkey "^o" peco-tree-edit
| togatoga/dotfiles | .peco/peco-tree-edit.zsh | Shell | mit | 294 |
#!/bin/bash -e
if [ "$(id -u)" != "0" ]; then
echo "$(tput setaf 1)$(tput bold)Error: $(tput sgr0)$(tput setaf 1)You need to be root in order to use this install script."
exit 1
fi
# TODO: find a friendlier language to write this in
echo $(tput sgr0)$(tput bold)Installing Docker...$(tput sgr0)
echo -e "\tAdding GP... | Wouter-M/docker-stack | install_all.sh | Shell | mit | 1,902 |
SNAPSHOT=$1
VERSION=$2
NEXT=$3
if [ "x" = "x"$2 ] ; then
echo "usage: $0 SNAPHOT_VERSION VERSION NEXT_VERSION"
exit 1
fi
mvn clean install
mvn3 -P maven3 clean install
jruby -S rake clean compile spec
find -name "pom.xml" | xargs sed -i s/${SNAPSHOT}-SNAPSHOT/${VERSION}/
find -name "pom.xml" | xargs git add
... | mkristian/dm-lucene-adapter | release.sh | Shell | mit | 600 |
# -----------------------------------------------------------------------------
# Additional Bash config for macOS
# -----------------------------------------------------------------------------
source $HOME/.bash/platform/bsd.bash
# -----------------------------------------------------------------------------
# Envi... | ljcooke/dotfiles | bash/platform/macos.bash | Shell | mit | 1,176 |
if [ -f "environment-local.sh" ];
then
echo "Using local environment variables in environment-local"
. environment-local.sh
fi
ITMSFOLDERNAME=./itms
ITMSSCREENSHOTSFOLDERRAWNAME="$ITMSFOLDERNAME/screenshots-raw"
PATH="$PATH:/Applications/Xcode.app/Contents/Applications/Application Loader.app/Contents/MacOS/itms/bin... | MichaelLyst/itc-localized-screenshot-uploader | environment.sh | Shell | mit | 1,073 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for USN-2250-1
#
# Security announcement date: 2014-06-19 00:00:00 UTC
# Script generation date: 2017-01-27 21:05:01 UTC
#
# Operating System: Ubuntu 12.04 LTS
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - thunderbird:1:24.6.0+build1-0ubuntu0... | Cyberwatch/cbw-security-fixes | Ubuntu_12.04_LTS/x86_64/2014/USN-2250-1.sh | Shell | mit | 719 |
#!/bin/bash
# (c) Wolfgang Ziegler // fago
#
# Inotify script to trigger a command on file changes.
#
# The script triggers the command as soon as a file event occurs. Events
# occurring during command execution are aggregated and trigger a single command
# execution only.
#
# Usage example: Trigger rsync for synchroni... | DataSyntax/syncd | watch.sh | Shell | mit | 2,687 |
zstyle ':completion:*:*:g*:*' user-commands \
amend:"Use the last commit message and amend your stuffs" \
ci:"View CI status for a ref" \
conflicts:"Show list of files in a conflict state" \
credit:"Quick way to credit an author on the latest commit" \
edit-conflicts:"Open files with conflicts in $E... | BlueHatbRit/dotfiles | git/completion.zsh | Shell | mit | 644 |
#!/usr/bin/env bash
# setup vim
mkdir -p \
"$HOME"/.vim/backups \
"$HOME"/.vim/swaps \
"$HOME"/.vim/undo
curl -fLo "$HOME"/.vim/autoload/plug.vim --create-dirs \
https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim
vim +PlugInstall +qall
| cebor/dotfiles | vim.sh | Shell | mit | 264 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.